package specifications

import (
	"LAPP_LF_MOM_BACKEND/container"
	svr "LAPP_LF_MOM_BACKEND/services/base"
)

func init() {
	signServiceInfo := container.GlobalInformations.RegisterService(svr.NewSignService, false)
	selectOneUserInfo := signServiceInfo.RegisterMethod("SelectOneUser")
	selectOneUserInfo.AppendBrokerBuilder(container.ContextOfNoSession)
	getWorklinesInfo := signServiceInfo.RegisterMethod("GetWorklines")
	getWorklinesInfo.AppendBrokerBuilder(container.ContextOfNoSession)
	getWorkplacesOfWorklineInfo := signServiceInfo.RegisterMethod("GetWorkplacesOfWorkline")
	getWorkplacesOfWorklineInfo.AppendBrokerBuilder(container.ContextOfNoSession)
	signInInfo := signServiceInfo.RegisterMethod("SignIn")
	signInInfo.AppendBrokerBuilder(container.ContextOfNoSession)
}
